% Reverb a Zenei Jelfeldolgozas targyhoz
% C. Bank Balazs, 2009-2020.


%first you have to run fdnrev to compute WhiteOutput and Output

%now we use the impluse response of the FDN and convolve it with the input
%signal - this is faster in MATLAB than running the FDN reverb itself with
%audio input
%note that in a proper C++ implementation, actually we would not need to so
%so since the FDN is a very efficient structure

L=4*Fs; %length of the computed sound
%[in,Fs]=audioread('concert_guitar.wav');
[in,Fs]=audioread('drum_bass.wav');
%[in,Fs]=audioread('soprano_sax.wav');
in=in(1:L);


%convolving the dry sound with the reverb impulse response
%out=in+0.1*fftfilt(WhiteOutput, in); %whitened output
out=in+0.15*fftfilt(Output, in); %without whitening filter 
	%we would need something inbetween for better spectral balance

soundsc(out,Fs);
